Subject: Re: PATCH Re: udp weirdness

From: Chris Friesen <[email-masked]>
Date: Tue, 01 Oct 2002 10:52:55 -0400

[email-masked] wrote:

> Feel free to implement. :-)

I may have to poke around...if nothing else I'll learn more about the 
networking code...

> What? If your applications is enough clever to handle ENOBUFS right,
> set IP_RECVERR and live in peace.

The original poster was complaining about messages being silently 
dropped when there is congestion.  If IP_RECVERR is turned on, would 
sendto() then return -1 so I know to try and read the error messages? 
I'm assuming I get ENOBUFS back in the ee_code field?  Or can I get away 
with reading errno and ignoring the error queue?

I've never used IP_RECVERR and there doesn't seem to be a lot of 
documentation about it.

Chris